uuid: 19aae434-efec-4cf8-8681-a41004d4b57f
langcode: en
status: true
dependencies:
  config:
    - field.field.taxonomy_term.course.field_academic_level
    - field.field.taxonomy_term.course.field_average_cost
    - field.field.taxonomy_term.course.field_contact_hours
    - field.field.taxonomy_term.course.field_corequisites
    - field.field.taxonomy_term.course.field_course_number
    - field.field.taxonomy_term.course.field_credits
    - field.field.taxonomy_term.course.field_department
    - field.field.taxonomy_term.course.field_description
    - field.field.taxonomy_term.course.field_division
    - field.field.taxonomy_term.course.field_local_description
    - field.field.taxonomy_term.course.field_requisites_text
    - field.field.taxonomy_term.course.field_subject
    - field.field.taxonomy_term.course.field_title
    - taxonomy.vocabulary.course
  module:
    - feeds_tamper
    - taxonomy
third_party_settings:
  feeds_tamper:
    tampers:
      1c7e60a1-97bf-4de9-a472-1ab9d4cfbc13:
        find: $
        replace: ''
        case_sensitive: false
        word_boundaries: false
        whole: false
        uuid: 1c7e60a1-97bf-4de9-a472-1ab9d4cfbc13
        plugin: find_replace
        source: average_cost
        weight: 0
        label: 'Find replace'
      e49b1cf5-d89c-4a0e-b9e0-1f385f522b56:
        uuid: e49b1cf5-d89c-4a0e-b9e0-1f385f522b56
        plugin: static_map
        source: sec_acad_level
        weight: -10
        label: 'Static map'
        map_values:
          CU: 'Curriculum (Credit)'
          CE: 'Continuing Education (Non-credit)'
          BSP: 'Continuing Education (Non-credit)'
        ignore_key_case: 0
        if_no_match: pass_thru
        if_no_match_default: ''
      113c4c05-9dfc-4cda-9478-4120275644f9:
        text: '[name]'
        uuid: 113c4c05-9dfc-4cda-9478-4120275644f9
        plugin: rewrite
        source: course_number
        weight: -10
        label: Rewrite
      f4ba128e-c101-4716-ab88-28181285a67a:
        find: '/^.*\-/'
        replace: ''
        limit: null
        uuid: f4ba128e-c101-4716-ab88-28181285a67a
        plugin: find_replace_regex
        source: course_number
        weight: -8
        label: 'Find replace REGEX'
      b9afa189-9b4f-4dc7-85f6-d7c22b8b5c9d:
        operation: strtoupper
        uuid: b9afa189-9b4f-4dc7-85f6-d7c22b8b5c9d
        plugin: convert_case
        source: course_number
        weight: -9
        label: 'Convert case'
      7b3a5055-09cd-4fa8-85aa-282e0af3b554:
        text: '[name]'
        uuid: 7b3a5055-09cd-4fa8-85aa-282e0af3b554
        plugin: rewrite
        source: subject
        weight: 0
        label: Rewrite
      96ab274b-66d0-4182-bbc2-c7072bca39cb:
        operation: strtoupper
        uuid: 96ab274b-66d0-4182-bbc2-c7072bca39cb
        plugin: convert_case
        source: subject
        weight: 1
        label: 'Convert case'
      879143f7-d2e2-4283-80ac-c57581fd023d:
        find: '/\-.*$/'
        replace: ''
        limit: null
        uuid: 879143f7-d2e2-4283-80ac-c57581fd023d
        plugin: find_replace_regex
        source: subject
        weight: 2
        label: 'Find replace REGEX'
      9fb69482-bb1b-47b8-b9f8-24d8b989db94:
        default_value: '1'
        only_if_empty: false
        uuid: 9fb69482-bb1b-47b8-b9f8-24d8b989db94
        plugin: default_value
        source: status
        weight: 0
        label: 'Set value or default value'
      4e6fb6b7-ec27-4b5b-96eb-2eb502590353:
        uuid: 4e6fb6b7-ec27-4b5b-96eb-2eb502590353
        plugin: colleague_course_requisite_text
        source: requisites
        weight: 0
        label: 'Course requisite text'
label: 'Course import (Active sections only)'
id: course_import
description: 'Import of courses with active sections only.'
help: ''
import_period: -1
fetcher: directory
fetcher_configuration:
  allowed_extensions: csv
  allowed_schemes:
    public: public
  recursive_scan: false
parser: csv
parser_configuration:
  delimiter: ','
  no_headers: false
  line_limit: 100
processor: 'entity:taxonomy_term'
processor_configuration:
  values:
    vid: course
  langcode: en
  insert_new: 1
  update_existing: 2
  update_non_existent: _keep
  skip_hash_check: false
  authorize: false
  expire: -1
  owner_feed_author: false
  owner_id: 0
custom_sources:
  name:
    value: Name
    label: Name
    machine_name: name
    type: csv
  description:
    value: Description
    label: Description
    machine_name: description
    type: csv
  credits:
    value: Credits
    label: Credits
    machine_name: credits
    type: csv
  requisites:
    value: Requisites
    label: Requisites
    machine_name: requisites
    type: csv
  department:
    value: Department
    label: Department
    machine_name: department
    type: csv
  division:
    value: Division
    label: Division
    machine_name: division
    type: csv
  sec_acad_level:
    value: 'Sec Acad Level'
    label: 'Sec Acad Level'
    machine_name: sec_acad_level
    type: csv
  xcrs_local_description:
    value: 'Xcrs Local Description'
    label: 'Xcrs Local Description'
    machine_name: xcrs_local_description
    type: csv
  corequisites:
    value: Corequisites
    label: Corequisites
    machine_name: corequisites
    type: csv
  average_cost:
    value: 'Average Cost'
    label: 'Average Cost'
    machine_name: average_cost
    type: csv
  title:
    value: Title
    label: Title
    machine_name: title
    type: csv
  contact_hours:
    value: 'Contact Hours'
    label: 'Contact Hours'
    machine_name: contact_hours
    type: csv
  subject:
    value: Subject
    label: Subject
    machine_name: subject
    type: csv
  course_number:
    value: 'Course Number'
    label: 'Course Number'
    machine_name: course_number
    type: csv
  status:
    value: Status
    label: Status
    machine_name: status
    type: blank
mappings:
  -
    target: name
    map:
      value: name
    settings:
      language: null
    unique:
      value: '1'
  -
    target: field_title
    map:
      value: title
    settings:
      language: null
    unique: {  }
  -
    target: field_description
    map:
      value: description
    settings:
      language: null
  -
    target: field_credits
    map:
      value: credits
    settings:
      language: null
    unique: {  }
  -
    target: field_requisites_text
    map:
      value: requisites
    settings:
      language: ''
      format: basic_html
  -
    target: field_department
    map:
      target_id: department
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: '1'
  -
    target: field_division
    map:
      target_id: division
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: '1'
  -
    target: field_academic_level
    map:
      target_id: sec_acad_level
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: 0
  -
    target: field_local_description
    map:
      value: xcrs_local_description
    settings:
      language: null
  -
    target: field_corequisites
    map:
      target_id: corequisites
    settings:
      language: null
      reference_by: name
      autocreate: false
      feeds_item: false
  -
    target: field_average_cost
    map:
      value: average_cost
    settings:
      language: null
    unique: {  }
  -
    target: field_contact_hours
    map:
      value: contact_hours
    settings:
      language: null
    unique: {  }
  -
    target: field_course_number
    map:
      value: course_number
    settings:
      language: null
    unique: {  }
  -
    target: field_subject
    map:
      target_id: subject
    settings:
      language: ''
      reference_by: name
      feeds_item: guid
      autocreate: '1'
  -
    target: status
    map:
      value: status
    settings:
      language: null
